<!DOCTYPE html>
<html>

<head>
    <title>WebSite</title>
    <link rel="stylesheet" href="bootstrap.css">
</head>

<body class="d-flex h-100 text-center text-white bg-dark">
    <div class="cover-container d-flex w-100 p-3 mx-auto flex-column">
        <header class="mb-auto">
            <div>
                <h3 class="float-md-left mb-0">WebSite</h3>
                <nav class="nav nav-masthead justify-content-center float-md-right">
                    <a href="/home" class="nav-link">Home</a>
                    <a href="/message" class="nav-link">Message</a>
                    <% if(admin == true) { %>
                    <a href="/new_grade" class="nav-link">New grade</a>
                    <% } %>
                    <a href="#" class="nav-link active" aria-current="page">Grades</a>
                    <% if(admin == true) { %>
                    <a href="/admin" class="nav-link">Admin</a>
                    <% } %>
                    <a href="/logout" class="nav-link">Logout</a>
                </nav>
            </div>
        </header>
        <main class="px-3">
            <div>
                <form class="col-md-6 offset-md-3" action="/grades_admin" method="POST">
                    <label for="username">Username:</label>
                    <select class="form-control" name="username" id="username">
                        <option>Select user</option>
                        <% for(var i = 0; i < users.length; i++) { %> 
                            <option><%= users[i].username %></option>
                        <% } %> 
                    </select>
                    <label for="subject">Subject:</label>
                    <select class="form-control" name="subject" id="subject">
                        <option>Select subject</option>
                        <option>English</option>
                        <option>Math</option>
                        <option>Chemistry</option>
                        <option>Physics</option>
                    </select>
                    <div class="py-2">
                        <button type="submit" class="btn btn-outline-light text-gray">Submit</button>
                    </div>
            </div>
            <table class="table table-dark table-striped">
                <thead>
                    <tr>
                        <th>Username</th>
                        <th>Subject</th>
                        <th>Description</th>
                        <th>Grade</th>
                    </tr>
                </thead>
                <tbody>
                    <tr><form></form></tr>
                    <% for(let i = 0; i < grades.length; i++) {%>
                    <tr>
                            <td><%= grades[i].username %> </td>
                            <td><%= grades[i].subject %></td>
                            <td><%= grades[i].description %></td>
                            <td><%= grades[i].grade %></td>
                        <form action="/delete_grade" method="POST">
                            <td><button type="submit" class="btn btn-danger" name="grade" value="<%= grades[i]._id %>">Delete</button></td>
                        </form>
                    </tr>
                    <% } %>
                </tbody>
            </table>
        </main>
    </div>

</body>

</html>